'use strict';

/**
 * 用户权限相关常量
 *
 * @author Ellisran
 * @date 2019/3/26
 * @version
 */
const create_tender = {
    tzfj: 0,
    cjtzxd: 1,
    cjjlq: 2,
    cjgcbg: 3,
};
const create_tender_group = [];
create_tender_group[create_tender.tzfj] = '台账分解';
create_tender_group[create_tender.cjtzxd] = '创建台账修订';
create_tender_group[create_tender.cjjlq] = '创建计量期';
create_tender_group[create_tender.cjgcbg] = '创建工程变更';

// 权限管理页
const permission = {
    tender: {
        class: 'fa fa-list-ul',
        title: '标段管理',
        type: 'checkbox',
        children: [
            { title: '创建标段', value: 1 },
            { title: '查阅所有标段', value: 2 },
        ],
    },
    cooperation: {
        class: '',
        title: '协作办公',
        type: 'radio',
        children: [
            { title: '启用', value: 1 },
            { title: '关闭', value: 0 },
        ],
    },
};

module.exports = {
    tenderPermission: create_tender,
    tenderPermissionList: create_tender_group,
    permission,
};
