'use strict';

/**
 *
 *
 * @author Mai
 * @date
 * @version
 */

const { app, assert } = require('egg-mock/bootstrap');

describe('test/app/service/stage_bills.test.js', () => {
    it('test getSumTotalPrice', function* () {
        const ctx = app.mockContext();
        const stage = yield ctx.service.stage.getDataByCondition({
            id: 4
        });
        const result = yield ctx.service.stageBills.getSumTotalPrice(stage);
        const bills  = yield ctx.service.stageBills.getStage
        assert(result === 209151.2);
    });
    it('test getSumTotalPriceGcl', function* () {
        const ctx = app.mockContext();
        const stage = yield ctx.service.stage.getDataByCondition({
            id: 4
        });
        const result = yield ctx.service.stageBills.getSumTotalPriceGcl(stage, '1[0-9]3-');
        assert(result === 169151.2);
    });
});